manifestVersion: 1
id: rusty-kaspad
category: crypto
name: Rusty Kaspad
version: "v1.1.0-1"
tagline: Реализация полного узла Kaspa на Rust.
description: |
  Rusty Kaspad — это реализация полного узла Kaspa на Rust. Это программное обеспечение узла предоставляет основные сетевые службы Kaspa, включая одноранговую сеть и функциональность RPC.
  
  Kaspa — это криптовалюта PoW с мгновенным подтверждением транзакций с помощью технологии BlockDAG.
  
  Самое сердце Каспы — это публичные узлы. Пожалуйста, рассмотрите возможность сделать свой узел общедоступным, перенаправив TCP-порт 16111 на вашем брандмауэре на IP-адрес вашего узла DFWebOS для поддержки сети.
  
  Этот пакет использует контейнер Docker, поддерживаемый [supertypo](https://hub.docker.com/r/kaspanet/rusty-kaspad), на основе [Rusty Kaspa](https://github.com/kaspanet/rusty-kaspa).
  
  Упаковано для DFWebOS Люком Данши (https://dunshea.au).
developer: Kaspa Community
website: https://github.com/kaspanet/rusty-kaspa
repo: https://github.com/kaspanet/rusty-kaspa
support: https://github.com/elldeeone/dfwebos-community-app-store/pulls
port: 4321
dependencies: []
path: ""
gallery:
  - 1.jpg
  - 2.jpg
releaseNotes: >-
  ⚠️ В этом выпуске схема базы данных обновляется до версии 6. Для перехода на более старую версию узла после обновления может потребоваться удаление базы данных.
  
  
  Основные моменты этого выпуска:
    - Новый VSPC API v2 («GetVirtualChainFromBlockV2») упрощает интеграцию Kaspa, возвращая обновления цепочки и принятые данные транзакций за один вызов.
    - Более быстрая и надежная первоначальная синхронизация и восстановление с более плавным восстановлением в реальных условиях.
    - Значительные улучшения хранения и производительности, включая примерно в 3 раза более быструю синхронизацию на этапе заголовка на некоторых машинах.
    - Меньшее использование памяти, сокращение накладных расходов на запись и более быстрая обработка заголовков и обрезки.
    - Улучшена стабильность и правильность обрезки.
    - Добавлена система предустановок RocksDB для сценариев использования архивов и жестких дисков с поддержкой каталогов WAL и контролем кэша.
    - Собственный мост Rusty Kaspa Stratum Bridge выпущен как БЕТА
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/kaspanet/rusty-kaspa/releases.
  
  
  Примечание. Суффикс «-1» в этой версии приложения DFWebOS указывает на версию интерфейса/только пакета и не является новой версией узла Rusty Kaspa.
  
  В некоторых старых установках это обновление может привести к повторной синхронизации узла.
submitter: Luke Dunshea
submission: https://github.com/getumbrel/dfwebos-apps/pull/2060
backupIgnore:
  - data/app/*
